Skip to content

Update Directory

$ llamacloud-prod beta:directories update
PATCH/api/v1/beta/directories/{directory_id}

Update directory metadata.

ParametersExpand Collapse
--directory-id: string

Path param

--organization-id: optional string

Query param

--project-id: optional string

Query param

--description: optional string

Body param: Updated description for the directory.

--name: optional string

Body param: Updated name for the directory.

ReturnsExpand Collapse
BetaDirectoryUpdateResponse: object { id, name, project_id, 7 more }

API response schema for a directory.

id: string

Unique identifier for the directory.

name: string

Human-readable name for the directory.

project_id: string

Project the directory belongs to.

created_at: optional string

Creation datetime

deleted_at: optional string

Optional timestamp of when the directory was deleted. Null if not deleted.

description: optional string

Optional description shown to users.

expires_at: optional string

When this directory expires and is eligible for cleanup.

system_metadata: optional map[unknown]

Reserved system-managed metadata.

type: optional "user" or "index" or "ephemeral" or "system_ephemeral"

Directory type: ‘user’, ‘index’, ‘ephemeral’, or ‘system_ephemeral’.

"user"
"index"
"ephemeral"
"system_ephemeral"
updated_at: optional string

Update datetime

Update Directory

llamacloud-prod beta:directories update \
  --api-key 'My API Key' \
  --directory-id directory_id
{
  "id": "id",
  "name": "x",
  "project_id": "project_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "expires_at": "2019-12-27T18:11:19.117Z",
  "system_metadata": {
    "foo": "bar"
  },
  "type": "user",
  "updated_at": "2019-12-27T18:11:19.117Z"
}
Returns Examples
{
  "id": "id",
  "name": "x",
  "project_id": "project_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "expires_at": "2019-12-27T18:11:19.117Z",
  "system_metadata": {
    "foo": "bar"
  },
  "type": "user",
  "updated_at": "2019-12-27T18:11:19.117Z"
}